Bug Hunting Session
Bug 119231 - Help button in "Sign Signature Line" dialogue
Summary: Help button in "Sign Signature Line" dialogue
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-12 15:27 UTC by Thomas Hackert
Modified: 2018-08-16 07:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Hackert 2018-08-12 15:27:16 UTC
Hello @ll,
while translating LO to German, I discovered the following:
1. install LO in parallel, following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel/Linux
2. Start LO
3. Insert a signature line (either with your data or some nonsense data)
4. Rightclick on your newly inserted signature line and choose "Sign Signature Line..."
5. Press the help button in the "Sign Signature Line" dialogue

Nothing happens ... :( The help button stays blue (as it was marked for something), but no help window nor any error message occur ... :(

OS: Debian Testing AMD64
LO: Version: 6.1.0.3
Build ID: efb621ed25068d70781dc026f7e9c5187a4decd1
CPU threads: 4; OS: Linux 4.17; UI render: default; VCL: kde4; 
Locale: de-DE (de_DE.UTF-8); Calc: group threaded

as well as with

LO: Version: 6.2.0.0.alpha0+
Build-ID: d54861bac28c0c6dd84bca6a9c1ddeb76de184a8
CPU-Threads: 4; BS: Linux 4.17; UI-Render: Standard; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-08-10_23:02:30
Gebietsschema: de-DE (de_DE.UTF-8); Calc: threaded
(both installed in parallel, following the instructions from point 1 above)

Sorry for the inconvenience
Thomas.
Comment 1 Xisco Faulí 2018-08-13 10:04:39 UTC
Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 53eda574a61396b6765cd1cb0ac9804c754ac4c1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

similar to bug 118115
Comment 2 Xisco Faulí 2018-08-13 10:12:56 UTC
I guess it must be fixed the same way as bug 118115 : https://gerrit.libreoffice.org/#/c/58919/
Comment 3 Commit Notification 2018-08-14 14:40:16 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=abe48a44ce80cd215a9cc18c219daf5e58e1f4e8

tdf#119231: Add missing help response id

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-08-15 09:55:57 UTC
backported to 6-1.
Comment 5 Commit Notification 2018-08-16 07:58:12 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=90e473516b04fc0121b2e3a25aefa07ccb81307d&h=libreoffice-6-1

tdf#119231: Add missing help response id

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.